Update product
Updates product information. Can update product data fields, default price, and image. - The defaultPrice field should be the ID of the Price object that is the default price for this product - The image field should be a URL string (use the /upload-url endpoint to get a one-time upload URL first)
Updates product information.
Can update product data fields, default price, and image.
- The defaultPrice field should be the ID of the Price object that is the default price for this product
- The image field should be a URL string (use the /upload-url endpoint to get a one-time upload URL first)
Authorization
api-key API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Path Parameters
Product ID
Request Body
application/json
Product data. The image field should be a URL string from Cloudflare Images.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/products/string" \ -H "Content-Type: application/json" \ -d '{}'Get product by ID GET
Retrieves product information including all associated prices. Response shape is identical to the `product.*` webhook payload. For per-price usage counts, call `GET /products/:id/stats`.
Delete product DELETE
Deletes a product and cascade-deletes all of its prices in one transaction. Fails if any of the product's prices have ever been referenced by a line item — in that case the product must be archived instead.